# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libpng-devel zlib-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          zimgtool
Summary:       Visualize Two-Dimensional Data
URL:           http://zimg.sourceforge.net/
Group:         Graphics
License:       GPL
Version:       5.0.0
Release:       alt1_9.1
Source0:       http://switch.dl.sourceforge.net/sourceforge/zimg/zimg-%{version}.tar.gz
BuildRequires: libgd3-devel
Source44: import.info

%description
Zimg generates PNG or JPEG images from arbitrary formatted 2-D
ASCII or binary data. Zimg is a command line tool and suitable for
rendering large amounts of 2-D data. Zimg is highly configurable via
command line switches and dynamically loadable objects.

%prep
%setup -q -n zimg-%{version}

%build
#autoreconf -ifv
cp /usr/share/automake-*/config.guess .
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}
sed -i 's|.*HAVE_GD_FREETYPE.*|#define HAVE_GD_FREETYPE yes|' config.h
make %{_smp_mflags -O}

%install
make %{_smp_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"

%files
%{_bindir}/*
%{_includedir}/*
%{_mandir}/man1/*

%changelog
* Mon Jul 05 2021 Igor Vlasenko <viy@altlinux.org> 5.0.0-alt1_9.1
- new version

